<?php

use App\Http\Controllers\DashboardController;
use App\Http\Controllers\User\AgendaController;
use App\Http\Controllers\KategoriController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('login');
});

Route::get('dashboard', [DashboardController::class, 'index'])->name('user.dashboard');

Route::get('/kategori', [KategoriController::class,'index'])->name('kategori.index');
    Route::post('/tambah-kategori',[KategoriController::class,'store'])->name('kategori.create');
    Route::get('/edit-kategori',[KategoriController::class,'edit'])->name('kategori.edit');
    Route::put('/update-kategori/{id}',[KategoriController::class,'update'])->name('kategori.update');
    Route::get('/hapus-kategori/{id}',[KategoriController::class,'destroy'])->name('kategori.delete');

Route::get('/agenda', [AgendaController::class,'index'])->name('user.agenda');
Route::get('/tambah-agenda', [AgendaController::class,'create'])->name('user.tambah-agenda');
Route::post('/simpan-agenda', [AgendaController::class,'store'])->name('user.simpan-agenda');