<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class KategoriDokumen extends Model
{
    public $incrementing = false;
    protected $table = 'ms_kategori_attachment';

    protected $fillable = [
        'id',
        'nama',
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    public function rAttachment()
    {
        return $this->belongsToMany(Attachment::class, 'id_kategori_dokumen', 'id');
    }
}
